;(function($) {
    $(document).ready(function() {
        $('.ibx-wpfomo-convertkit-connect').on('click', function() {
            var apiKey      = $('#ibx_wpfomo_convertkit_api_key').val(),
                apiSecret   = $('#ibx_wpfomo_convertkit_api_secret').val(),
                self        = $(this),
                loader      = self.parent().find('.mbt-loader'),
                postID      = $('input[name="post_ID"]').val();

			self.addClass('disabled');
			self.parent().find('.ibx-wpfomo-error-message').remove();
            loader.show();

            $.ajax({
                type: 'post',
                url: ajaxurl,
                data: {
                    action: 'ibx_wpfomo_connect_convertkit',
                    api_key: apiKey,
                    api_secret: apiSecret,
                    post_id: postID
                },
                success: function(response) {
                    var data = JSON.parse(response);

                    if ( data.error ) {
                        self.after( '<div class="ibx-wpfomo-error-message">' + data.error + '</div>' );
                    }
                    else {
                        self.parent().find('.ibx-wpfomo-error-message').remove();
                        self.after( '<div class="ibx-wpfomo-success-message">' + wpfomo_convertkit.messages.connect_success + '</div>' );
                    }

                    self.removeClass('disabled');
                    loader.hide();
                }
            });
        });
    });
})(jQuery);
